---
title: Get time series distribution of HTTP authentication requests by dimension.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Radar](https://developers.cloudflare.com/api/go/resources/radar)

[Leaked Credentials](https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get time series distribution of HTTP authentication requests by dimension.

client.Radar.LeakedCredentials.TimeseriesGroupsV2(ctx, dimension, query) (\*[LeakedCredentialTimeseriesGroupsV2Response](<https://developers.cloudflare.com/api/go/resources/radar#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)>), error)

GET/radar/leaked\_credential\_checks/timeseries\_groups/{dimension}

Retrieves the distribution of HTTP authentication requests, grouped by the specified dimension over time.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`User Details Write``User Details Read`

##### ParametersExpand Collapse

<details>

<summary>

dimension <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsDimension</a>

Specifies the attribute by which to group the results.

</summary>

One of the following:

const LeakedCredentialTimeseriesGroupsV2ParamsDimensionCompromised <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsDimension</a> = "COMPROMISED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsDimensionBotClass <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsDimension</a> = "BOT\_CLASS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dimension%20%3E%20(schema)>)

<details>

<summary>

query LeakedCredentialTimeseriesGroupsV2Params

</summary>

<details>

<summary>

AggInterval param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsAggInterval</a>]Optional

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to <a href="https://developers.cloudflare.com/radar/concepts/aggregation-intervals/">Aggregation intervals</a>. When omitted, the interval is auto-selected from the requested date range; finer intervals are only available for shorter ranges. If the requested interval is too granular for the date range, the request is rejected.

</summary>

const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval15m <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsAggInterval</a> = "15m"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval1h <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsAggInterval</a> = "1h"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval1d <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsAggInterval</a> = "1d"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsAggInterval1w <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsAggInterval</a> = "1w"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20aggInterval">Link to this property</a>

ASN param.Field\[\[]string]Optional

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with <code>-</code> to exclude ASNs from results. For example, <code>-174, 3356</code> excludes results from AS174, but includes results from AS3356.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20asn">Link to this property</a>

<details>

<summary>

BotClass param.Field\[\[]LeakedCredentialTimeseriesGroupsV2ParamsBotClass]Optional

Filters results by bot class. Refer to <a href="https://developers.cloudflare.com/radar/concepts/bot-classes/">Bot classes</a>.

</summary>

const LeakedCredentialTimeseriesGroupsV2ParamsBotClassLikelyAutomated LeakedCredentialTimeseriesGroupsV2ParamsBotClass = "LIKELY\_AUTOMATED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20botClass%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsBotClassLikelyHuman LeakedCredentialTimeseriesGroupsV2ParamsBotClass = "LIKELY\_HUMAN"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20botClass%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20botClass">Link to this property</a>

<details>

<summary>

CheckResult param.Field\[\[]LeakedCredentialTimeseriesGroupsV2ParamsCheckResult]Optional

Filters results by leaked credential check result.

</summary>

const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultClean LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "CLEAN"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20checkResult%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultUsernameLeaked LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "USERNAME\_LEAKED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20checkResult%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultUsernamePasswordSimilar LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "USERNAME\_PASSWORD\_SIMILAR"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20checkResult%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%202">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultUsernameAndPasswordLeaked LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "USERNAME\_AND\_PASSWORD\_LEAKED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20checkResult%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%203">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsCheckResultPasswordLeaked LeakedCredentialTimeseriesGroupsV2ParamsCheckResult = "PASSWORD\_LEAKED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20checkResult%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20checkResult">Link to this property</a>

<details>

<summary>

Compromised param.Field\[\[]LeakedCredentialTimeseriesGroupsV2ParamsCompromised]Optional

Filters results by compromised credential status (clean vs. compromised).

</summary>

const LeakedCredentialTimeseriesGroupsV2ParamsCompromisedClean LeakedCredentialTimeseriesGroupsV2ParamsCompromised = "CLEAN"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20compromised%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsCompromisedCompromised LeakedCredentialTimeseriesGroupsV2ParamsCompromised = "COMPROMISED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20compromised%20%3E%20(schema)%20%3E%20(items)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20compromised">Link to this property</a>

Continent param.Field\[\[]string]Optional

Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with <code>-</code> to exclude continents from results. For example, <code>-EU,NA</code> excludes results from EU, but includes results from NA.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20continent">Link to this property</a>

DateEnd param.Field\[\[]Time]Optional

End of the date range (inclusive). Alternative to <code>dateRange</code>; provide together with <code>dateStart</code>. When requesting comparison series, every series must resolve to the same duration as the main series. Each <code>dateStart</code>/<code>dateEnd</code> is floored to the nearest 15 minutes before evaluation, so windows whose durations match only before alignment may be rejected.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dateEnd">Link to this property</a>

DateRange param.Field\[\[]string]Optional

Filters results by relative date range ending at the current time, with each value producing a separate series. Use <code>&lt;n&gt;d</code> for days (up to <code>364d</code>) or <code>&lt;n&gt;w</code> for weeks (up to <code>52w</code>). Append <code>control</code> to request the equivalent previous period for comparison: the comparison window is shifted back by the current window’s length rounded up to a whole number of weeks, so it keeps the same weekday alignment and does not overlap the current window (e.g. <code>7dcontrol</code> covers days -14 to -7, <code>10dcontrol</code> covers days -24 to -14). For example, pass <code>7d</code> and <code>7dcontrol</code> to compare this week with the previous week. All series must resolve to the same duration as the main series; relative ranges (including <code>control</code>) satisfy this automatically. Use this parameter or set specific start and end dates (<code>dateStart</code> and <code>dateEnd</code> parameters).

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dateRange">Link to this property</a>

DateStart param.Field\[\[]Time]Optional

Start of the date range. Alternative to <code>dateRange</code>; provide together with <code>dateEnd</code>. When requesting comparison series, every series must resolve to the same duration as the main series. Each <code>dateStart</code>/<code>dateEnd</code> is floored to the nearest 15 minutes before evaluation, so windows whose durations match only before alignment may be rejected.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20dateStart">Link to this property</a>

<details>

<summary>

Format param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsFormat</a>]Optional

Format in which results will be returned.

</summary>

const LeakedCredentialTimeseriesGroupsV2ParamsFormatJson <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsFormat</a> = "JSON"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsFormatCsv <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsFormat</a> = "CSV"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20format%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20format">Link to this property</a>

LimitPerGroup param.Field\[int64]Optional

Limits the number of objects per group to the top items within the specified time range. When item count exceeds the limit, extra items appear grouped under an “other” category. Only supported on high-cardinality dimensions; otherwise the request is rejected. Minimum value is 2.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20limitPerGroup">Link to this property</a>

Location param.Field\[\[]string]Optional

Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with <code>-</code> to exclude locations from results. For example, <code>-US,PT</code> excludes results from the US, but includes results from PT.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20location">Link to this property</a>

Name param.Field\[\[]string]Optional

Array of names used to label the series in the response.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

<details>

<summary>

Normalization param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsNormalization</a>]Optional

Normalization method applied to the results. Refer to <a href="https://developers.cloudflare.com/radar/concepts/normalization/">Normalization methods</a>. <code>PERCENTAGE_CHANGE</code> requires exactly one comparison series (e.g. a <code>control</code> date range).

</summary>

const LeakedCredentialTimeseriesGroupsV2ParamsNormalizationPercentageChange <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsNormalization</a> = "PERCENTAGE\_CHANGE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ParamsNormalizationMin0Max <a href="https://developers.cloudflare.com/api/go/resources/radar/subresources/leaked_credentials/methods/timeseries_groups_v2#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)">LeakedCredentialTimeseriesGroupsV2ParamsNormalization</a> = "MIN0\_MAX"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20normalization%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default%20%3E%20(param)%20normalization">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.leaked_credentials%20%3E%20(method)%20timeseries_groups_v2%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type LeakedCredentialTimeseriesGroupsV2Response struct{…}

</summary>

<details>

<summary>

Meta LeakedCredentialTimeseriesGroupsV2ResponseMeta

Metadata for the results.

</summary>

<details>

<summary>

AggInterval LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to <a href="https://developers.cloudflare.com/radar/concepts/aggregation-intervals/">Aggregation intervals</a>.

</summary>

One of the following:

const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalFifteenMinutes LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "FIFTEEN\_MINUTES"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneHour LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE\_HOUR"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%201">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneDay LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE\_DAY"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%202">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneWeek LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE\_WEEK"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%203">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaAggIntervalOneMonth LeakedCredentialTimeseriesGroupsV2ResponseMetaAggInterval = "ONE\_MONTH"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20aggInterval">Link to this property</a>

<details>

<summary>

ConfidenceInfo LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfo

</summary>

<details>

<summary>

Annotations \[]LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotation

</summary>

<details>

<summary>

DataSource LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

</summary>

One of the following:

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceAll LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceAIBots LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "AI\_BOTS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%201">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "AI\_GATEWAY"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%202">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceBGP LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%203">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceBots LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%204">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION\_ANOMALY"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%205">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceCT LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "CT"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%206">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDNS LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%207">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DNS\_MAGNITUDE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%208">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DNS\_AS112"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%209">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceDos LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2010">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL\_ROUTING"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2011">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL\_SECURITY"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2012">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceFw LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "FW"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2013">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceFwPg LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "FW\_PG"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2014">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTP LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2015">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_CONTROL"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2016">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_CRAWLER\_REFERER"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2017">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP\_ORIGINS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2018">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceIQI LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2019">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED\_CREDENTIALS"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2020">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceNet LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "NET"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2021">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS\_TXT"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2022">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceSpeed LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2023">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS\_AI"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource%20%3E%20(member)%2024">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20dataSource">Link to this property</a>

Description string

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

EndDate Time

formatdate-time

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20endDate">Link to this property</a>

<details>

<summary>

EventType LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

</summary>

One of the following:

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeGeneral LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeOutage LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%201">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL\_PROJECTION"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%202">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypePipeline LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%203">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly LeakedCredentialTimeseriesGroupsV2ResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC\_ANOMALY"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20eventType">Link to this property</a>

IsInstantaneous bool

Whether event is a single point in time or a time range.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20isInstantaneous">Link to this property</a>

LinkedURL string

formaturi

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20linkedUrl">Link to this property</a>

StartDate Time

formatdate-time

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20startDate">Link to this property</a>

Tags \[]stringOptional

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations%20%3E%20(items)%20%3E%20(property)%20tags">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20annotations">Link to this property</a>

Level int64

Provides an indication of how much confidence Cloudflare has in the data.

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo%20%3E%20(property)%20level">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20confidenceInfo">Link to this property</a>

<details>

<summary>

DateRange \[]LeakedCredentialTimeseriesGroupsV2ResponseMetaDateRange

</summary>

EndTime Time

Adjusted end of date range.

formatdate-time

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange%20%3E%20(items)%20%3E%20(property)%20endTime">Link to this property</a>

StartTime Time

Adjusted start of date range.

formatdate-time

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange%20%3E%20(items)%20%3E%20(property)%20startTime">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20dateRange">Link to this property</a>

LastUpdated Time

Timestamp of the last dataset update.

formatdate-time

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20lastUpdated">Link to this property</a>

<details>

<summary>

Normalization LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization

Normalization method applied to the results. Refer to <a href="https://developers.cloudflare.com/radar/concepts/normalization/">Normalization methods</a>.

</summary>

One of the following:

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationPercentage LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "PERCENTAGE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%200">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationMin0Max LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "MIN0\_MAX"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%201">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationMinMax LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "MIN\_MAX"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%202">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationRawValues LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "RAW\_VALUES"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%203">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationPercentageChange LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "PERCENTAGE\_CHANGE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%204">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationRollingAverage LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "ROLLING\_AVERAGE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%205">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationOverlappedPercentage LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "OVERLAPPED\_PERCENTAGE"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%206">Link to this property</a>

const LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalizationRatio LeakedCredentialTimeseriesGroupsV2ResponseMetaNormalization = "RATIO"

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20normalization">Link to this property</a>

<details>

<summary>

Units \[]LeakedCredentialTimeseriesGroupsV2ResponseMetaUnit

Measurement units for the results.

</summary>

Name string

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

Value string

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units%20%3E%20(items)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20units">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

<details>

<summary>

Serie0 LeakedCredentialTimeseriesGroupsV2ResponseSerie0

</summary>

Timestamps \[]Time

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20serie_0%20%3E%20(property)%20timestamps">Link to this property</a>

</details>

<a href="#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)%20%3E%20(property)%20serie_0">Link to this property</a>

</details>

[Link to this property](<#(resource)%20radar.leaked_credentials%20%3E%20(model)%20LeakedCredentialTimeseriesGroupsV2Response%20%3E%20(schema)>)

### Get time series distribution of HTTP authentication requests by dimension.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.LeakedCredentials.TimeseriesGroupsV2(
    context.TODO(),
    radar.LeakedCredentialTimeseriesGroupsV2ParamsDimensionCompromised,
    radar.LeakedCredentialTimeseriesGroupsV2Params{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
```

200 example

```
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "GENERAL",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z",
            "tags": [
              "BOT_CLASS"
            ]
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "timestamps": [
        "2023-08-08T10:15:00Z"
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "GENERAL",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z",
            "tags": [
              "BOT_CLASS"
            ]
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "timestamps": [
        "2023-08-08T10:15:00Z"
      ]
    }
  },
  "success": true
}
```